import "./globals.css";
import { Nunito } from "next/font/google";
import Localfont from "next/font/local";
import { NextIntlClientProvider } from "next-intl";

const risha = Localfont({
  src: "../public/fonts/RishaNeo.ttf",
  variable: "--font-risha"
});

const nunito = Nunito({
  variable: "--font-nunito",
  weight: ["500", "700"],
  subsets: ["latin", "cyrillic"],
});

export const metadata = {
  title: "Ivan Rezchikov",
  description: "A guy who loves coding",
};

export default function RootLayout({ children }) {
  return (
    <html lang="en" suppressHydrationWarning>
      <body className={`${risha.variable} ${nunito.variable} antialiased selection:bg-black/10`}>
        <NextIntlClientProvider>{children}</NextIntlClientProvider>
      </body>
    </html>
  );
}
